
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>使用 FineUI 制作简单的购物车页面（源代码免费下载，另附 24 张专业版截图） / 憋错料</title>

    <meta name="description" content="使用 FineUI 制作简单的购物车页面（源代码免费下载，另附 24 张专业版截图） 起因 最初是一位 FineUI 网友对购物车功能的需求,需要根据产品单价和数量来计算所有选中商品的总价. 这个逻辑最好在前台使用JavaScript实现,如果把这个逻辑移动到后台C#实现,则会导致过多的AJAX请求而影响用户体验. 最终效果 准备数据 在生成页面之前,我们需要准备购物车的数据,这里只是简单的用表格来模拟数据: 1 protected DataTable GetCartDataTable() 2 { 3 DataTable table = new DataTable(); 4 ta">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">使用 FineUI 制作简单的购物车页面（源代码免费下载，另附 24 张专业版截图）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h1>起因</h1>
<p>最初是一位 FineUI 网友对购物车功能的需求，需要根据产品单价和数量来计算所有选中商品的总价。</p>
<p>这个逻辑最好在前台使用JavaScript实现，如果把这个逻辑移动到后台C#实现，则会导致过多的AJAX请求而影响用户体验。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9pLzQ4ODE3LzIwMTQwNi8xODEwNTk0ODUzNjI5NTYucG5n.jpg" /></p>
<h1>最终效果</h1>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9pLzQ4ODE3LzIwMTQwNi8xODEwNTk1ODcwNzE5NjMucG5n.jpg" /></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9pLzQ4ODE3LzIwMTQwNi8xODExMDAxMDAwNDgxMTYucG5n.jpg" /></p>
<h1>准备数据</h1>
<p>在生成页面之前，我们需要准备购物车的数据，这里只是简单的用表格来模拟数据：</p>
<pre> 1 protected DataTable GetCartDataTable()
 2 {
 3     DataTable table = new DataTable();
 4     table.Columns.Add(new DataColumn("Id", typeof(int)));
 5     table.Columns.Add(new DataColumn("Code", typeof(String)));
 6     table.Columns.Add(new DataColumn("Name", typeof(String)));
 7     table.Columns.Add(new DataColumn("Desc", typeof(String)));
 8     table.Columns.Add(new DataColumn("Price", typeof(float)));
 9     table.Columns.Add(new DataColumn("Number", typeof(int)));
10
11     DataRow row = table.NewRow();
12     row[0] = 101;
13     row[1] = "100022";
14     row[2] = "商品一";
15     row[3] = "这是商品一的介绍";
16     row[4] = 35.5;
17     row[5] = 1;
18     table.Rows.Add(row);
19
20     row = table.NewRow();
21     row[0] = 102;
22     row[1] = "100023";
23     row[2] = "商品二";
24     row[3] = "这是商品二的介绍";
25     row[4] = 18.99;
26     row[5] = 2;
27     table.Rows.Add(row);
28
29     row = table.NewRow();
30     row[0] = 103;
31     row[1] = "100024";
32     row[2] = "商品三";
33     row[3] = "这是商品三的介绍";
34     row[4] = 18.99;
35     row[5] = 2;
36     table.Rows.Add(row);
37
38     row = table.NewRow();
39     row[0] = 104;
40     row[1] = "100025";
41     row[2] = "商品四";
42     row[3] = "这是商品四的介绍";
43     row[4] = 22.00;
44     row[5] = 1;
45     table.Rows.Add(row);
46
47     return table;
48 }</pre>

<h1>页面标签</h1>
<p>前台页面使用了VBox布局，用来实现底部汇总面板的高度固定，顶部表格的高度自适应页面高度的布局：</p>
<pre> 1 &lt;f:PageManager ID="PageManager1" AutoSizePanelID="Panel2" runat="server" /&gt;
 2 &lt;f:Panel ID="Panel2" runat="server" ShowBorder="false" Layout="VBox" BoxConfigAlign="Stretch"
 3     BoxConfigPosition="Start" BoxConfigPadding="5" BoxConfigChildMargin="0 5 0 0"
 4     ShowHeader="false"&gt;
 5     &lt;Items&gt;
 6         &lt;f:Grid ID="Grid1" ShowBorder="true" BoxFlex="1" ShowHeader="true" Title="购物车"
 7             EnableCollapse="true" runat="server" EnableCheckBoxSelect="true" CheckBoxSelectOnly="true"
 8             DataKeyNames="Id,Code,Name" EnableTextSelection="true"&gt;
 9
10         &lt;/f:Grid&gt;
11         &lt;f:ContentPanel runat="server" CssClass="totalpanel" ShowBorder="true" ShowHeader="false"&gt;
12
13         &lt;/f:ContentPanel&gt;
14     &lt;/Items&gt;
15 &lt;/f:Panel&gt;</pre>
<p>VBox布局和HBox布局对于 FineUI 来说举足轻重，如果你还搞不清楚其中的参数含义，请移步<a href="http://www.cnblogs.com/sanshi/archive/2012/09/18/2689978.html" rel="external nofollow noreferrer">FineUI教程</a>。　　</p>
<p>这里有个小技巧，由于上下两个面板紧贴在一起，所以中间的两个边框就显得不好看了，我们只需通过简单的CSS来调整，使得下面面板的顶部边框宽度为零：</p>
<pre>1 &lt;style&gt;
2     .totalpanel .x-panel-body {
3         border-top-width: 0 !important;
4     }
5 &lt;/style&gt;</pre>
<p>下面来看表格的定义：</p>
<pre> 1 &lt;f:Grid&gt;
 2     &lt;Columns&gt;
 3         &lt;f:RowNumberField /&gt;
 4         &lt;f:BoundField Width="120px" DataField="Code" DataFormatString="{0}" HeaderText="商品代码" /&gt;
 5         &lt;f:BoundField DataField="Name" ExpandUnusedSpace="true" DataFormatString="{0}" HeaderText="商品名称" /&gt;
 6         &lt;f:BoundField Width="120px" DataField="Price" HeaderText="商品单价" DataFormatString="￥{0:F}" /&gt;
 7         &lt;f:TemplateField HeaderText="数量" Width="120px"&gt;
 8             &lt;ItemTemplate&gt;
 9                 &lt;input type="hidden" class="price" runat="server" value=‘&lt;%# Eval("Price") %&gt;‘ /&gt;
10                 &lt;asp:TextBox runat="server" Width="98%" ID="tbxNumber" CssClass="number"
11                     TabIndex=‘&lt;%# Container.DataItemIndex + 10 %&gt;‘ Text=‘&lt;%# Eval("Number") %&gt;‘&gt;&lt;/asp:TextBox&gt;
12             &lt;/ItemTemplate&gt;
13         &lt;/f:TemplateField&gt;
14         &lt;f:TemplateField HeaderText="小计" Width="120px"&gt;
15             &lt;ItemTemplate&gt;
16                 &lt;asp:Label runat="server" CssClass="xiaoji" Text=‘&lt;%# "￥" + GetXiaoji(Eval("Price"), Eval("Number")) %&gt;‘&gt;&lt;/asp:Label&gt;
17             &lt;/ItemTemplate&gt;
18         &lt;/f:TemplateField&gt;
19     &lt;/Columns&gt;
20 &lt;/f:Grid&gt;</pre>
<p>一些小技巧：</p>
<ul>
<li>DataFormatString="￥{0:F}" 将浮点数格式化为两个小数位的字符串。</li>
<li>Container.DataItemIndex 表示当前项的序号，设置TabIndex是为了启用Tab键导航</li>
<li>隐藏字段 class="price"，是为了方便客户端使用JavaScript获取产品单价</li>
<li>数量的文本输入框的 CssClass="number" 同样是为了方便客户端调用</li>
<li>通过后台定义的C#函数 GetXiaoji 来计算初始产品价格小计</li>
</ul>
<p>下面来看下 GetXiaoji 的定义：</p>
<pre>1 protected string GetXiaoji(object priceobj, object numberobj)
2 {
3     float price = Convert.ToSingle(priceobj);
4     int number = Convert.ToInt32(numberobj);
5
6     return String.Format("{0:F}", price * number);
7 }</pre>
<p>接下来看下汇总面板的标签定义：</p>
<pre> 1 &lt;f:ContentPanel&gt;
 2     &lt;div style="text-align: right; margin: 10px;"&gt;
 3         &lt;div style="margin-bottom: 10px;"&gt;
 4             &lt;input type="hidden" id="TOTAL_NUMBER" name="TOTAL_NUMBER" /&gt;
 5             &lt;span id="totalNumber" style="color: red;"&gt;&lt;/span&gt;
 6             件商品
 7         &lt;/div&gt;
 8         &lt;div style="margin-bottom: 10px;"&gt;
 9             &lt;input type="hidden" id="TOTAL_PRICE" name="TOTAL_PRICE" /&gt;
10             总计：&lt;span id="totalPrice" style="color: red; font-size: 1.5em; font-weight: bold;"&gt;&lt;/span&gt;
11         &lt;/div&gt;
12         &lt;div&gt;
13             &lt;f:Button runat="server" Text="去结算" Enabled="false" Size="Large" ID="btnGotoPay" OnClick="btnGotoPay_Click"&gt;&lt;/f:Button&gt;
14         &lt;/div&gt;
15     &lt;/div&gt;
16 &lt;/f:ContentPanel&gt;</pre>
<p>这里面的几个小技巧：</p>
<ul>
<li>隐藏字段 TOTAL_NUMBER 和 TOTAL_PRICE 是为了方便在后台获取总价和商品总数</li>
<li>默认设置提交按钮的 Enabled="false"，在用户更改选中商品数量时来决定是否禁用　　</li>
</ul>
<h1>前台JavaScript逻辑</h1>
<p>FineUI 虽然号称 No JavaScript，但这里的真正意思是 80% 的应用场景不需要使用 JavaScript 就能轻松实现。</p>
<p>对于购物车这种需要前台交互的页面，还是需要开发者有一定的脚本编写功底。下面先罗列一下全部的JavaScript代码：</p>
<pre> 1 var gridClientID = ‘&lt;%= Grid1.ClientID %&gt;‘;
 2 var btnGotoPayClientID = ‘&lt;%= btnGotoPay.ClientID %&gt;‘;
 3 var numberSelector = ‘.f-grid-tpl input.number‘;
 4 var priceSelector = ‘.f-grid-tpl input.price‘;
 5
 6 function getRowNumber(row) {
 7     return parseInt(row.find(numberSelector).val(), 10);
 8 }
 9 function getRowPrice(row) {
10     return parseFloat(row.find(priceSelector).val());
11 }
12
13 function updateTotal() {
14     var grid = F(gridClientID);
15     var selection = grid.getSelectionModel().getSelection();
16     var store = grid.getStore();
17
18     var total = 0;
19     $.each(selection, function (index, item) {
20         var rowIndex = store.indexOf(item);
21         var row = $(grid.body.el.dom).find(‘.x-grid-row‘).eq(rowIndex);
22         total += getRowNumber(row) * getRowPrice(row);
23     });
24
25     $(‘#totalNumber‘).text(selection.length);
26     $(‘#totalPrice‘).text("￥" + total.toFixed(2));
27
28     $(‘#TOTAL_NUMBER‘).val(selection.length);
29     $(‘#TOTAL_PRICE‘).val(total.toFixed(2));
30
31     var gotoPayBtn = F(btnGotoPayClientID);
32     if (total === 0) {
33         gotoPayBtn.disable();
34     } else {
35         gotoPayBtn.enable();
36     }
37 }
38
39 function registerNumberChangeEvents() {
40     var grid = F(gridClientID);
41
42     // 数量改变事件
43     // http://stackoverflow.com/questions/17384218/jquery-input-event
44     $(grid.el.dom).find(numberSelector).on(‘input propertychange‘, function (evt) {
45         var $this = $(this);
46
47         var row = $this.parents(‘.x-grid-row‘);
48         var number = getRowNumber(row);
49         var price = getRowPrice(row);
50         var resultNode = row.find(‘.f-grid-tpl span.xiaoji‘);
51
52         resultNode.text("￥" + (number * price).toFixed(2));
53
54         updateTotal();
55     });
56 }
57
58 function registerSelectionChangeEvents() {
59     var grid = F(gridClientID);
60
61     grid.on(‘selectionchange‘, function (cmp, selected) {
62         updateTotal();
63     });
64 }
65
66 // 页面第一次加载完成后调用的函数
67 F.ready(function () {
68     registerNumberChangeEvents();
69     registerSelectionChangeEvents();
70     updateTotal();
71 });</pre>
<p>这里只给出一些小技巧的提醒：</p>
<ul>
<li>F.ready 用来初始化所有需要的JavaScript代码，包含对 updateTotal 的调用</li>
<li>registerNumberChangeEvents 注册数量文本框改变的处理函数</li>
<li>文本框的 input 事件用来监视文本框的内容变化，包含键盘输入、拷贝粘贴等，IE8不支持此事件但可以使用&nbsp;propertychange 代替</li>
<li>registerSelectionChangeEvents 注册用户选中商品行改变的事件处理函数</li>
<li>updateTotal 中根据总价来决定是否启用提交按钮　　</li>
</ul>
<h1>后台C#逻辑</h1>
<p>后台来显示汇总信息，对熟悉 FineUI 的网友应该来说很简单：</p>
<pre> 1 protected void btnGotoPay_Click(object sender, EventArgs e)
 2 {
 3     StringBuilder sb = new StringBuilder();
 4     sb.Append("&lt;ol&gt;");
 5     foreach(int rowIndex in Grid1.SelectedRowIndexArray) {
 6         System.Web.UI.WebControls.TextBox tbxNumber = (System.Web.UI.WebControls.TextBox)Grid1.Rows[rowIndex].FindControl("tbxNumber");
 7
 8         sb.AppendFormat("&lt;li&gt;{0}（{1}）&lt;/li&gt;", Grid1.DataKeys[rowIndex][2], tbxNumber.Text);
 9     }
10     sb.Append("&lt;/ol&gt;&lt;hr/&gt;");
11
12     sb.AppendFormat("共 {0} 件商品，总计 ￥{1}", Request.Form["TOTAL_NUMBER"], Request.Form["TOTAL_PRICE"]);
13
14     Alert.Show(sb.ToString(), MessageBoxIcon.Information);
15 }</pre>

<h1>源代码免费下载</h1>
<p>这个简直就是废话！</p>
<p>这个示例会出现在下个版本的 FineUI（开源版）中，不过目前你可以直接从微软的 codeplex 网站下载全部源代码：</p>
<p><a href="https://fineui.codeplex.com/SourceControl/list/changesets" rel="external nofollow noreferrer">https://fineui.codeplex.com/SourceControl/list/changesets</a></p>
<h1>24 张专业版截图</h1>
<p>正在更新中，会在下篇博文中提供！</p>
<h1>推荐本文</h1>
<p>如果本文对你有一定的启发或帮助，请点击<strong>好文要顶</strong>。你也可以通过关注本博客来及时获取 FineUI 的最新信息。</p>
<p><P><A href="http://www.bubuko.com/infodetail-222511.html" rel="external nofollow noreferrer">使用 FineUI 制作简单的购物车页面（源代码免费下载，另附 24 张专业版截图）,布布扣,bubuko.com</A></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 11:48:49 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/style/" title="style">style</a>, <a href="https://www.biecuoliao.com/tag/des/" title="des">des</a>, <a href="https://www.biecuoliao.com/tag/http/" title="http">http</a>, <a href="https://www.biecuoliao.com/tag/java/" title="java">java</a>, <a href="https://www.biecuoliao.com/tag/blog/" title="blog">blog</a>, <a href="https://www.biecuoliao.com/tag/%e9%ab%98%e5%ba%a6%e8%87%aa%e9%80%82%e5%ba%94/" title="高度自适应">高度自适应</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>使用 FineUI 制作简单的购物车页面（源代码免费下载，另附 24 张专业版截图）的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoQVOQ3.html" rel="bookmark">FineUI小技巧（5）向子窗口传值，向父窗口传值（另附24张专业版高清大图）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 FineUI中经常会用到启用IFrame的Window控件,这样有助于从物理上进行代码解耦和.IFrame的引入就会涉及传值问题,如何在父窗口和子窗口之间相互传值呢? 向子窗口传值 向子窗口传值只需要把要传递的参数放在页面URL中即可,一般有两种做法: 页面回发,在后台通过C#代码拼接需要的URL(推荐做法,方便!) 页面第一次加载时,即注册需要的URL(如果参数是页面上某输入框的值,则需要在URL中嵌入JavaScript代码) 来看一个例子,分别用上述两种方式实现: 页面的初始显示 点			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02kXzA3.html" rel="bookmark">FineUI小技巧（4）关闭窗体那些事（另附24张专业版高清大图）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 FineUI中的Window控件常用作选择.新增或编辑内容.而关闭Window控件却有很多技巧,了解这些技巧有助于项目的快速开发. 如何关闭Window控件 第一个问题就是如何关闭Window控件,最明显的方式就是右上角的关闭图标了.总的说来,有三种方式: ESC按键(在Window控件所在页面获取焦点的情况下,按下键盘的ESC将会关闭当前激活窗体) 窗体右上角的关闭图标 用户自定义的关闭按钮 前两种方式自不必说,那么如何自定义关闭按钮呢?有两种做法: 按钮禁用回发,在页面初始化时注册关闭			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4QowVl0.html" rel="bookmark">FineUI小技巧（3）表格导出与文件下载（另附24张专业版高清大图）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				需求描述 实际应用中,我们可能需要导出表格内容,或者在页面回发时根据用户权限下载文件(注意,这里的导出与下载,都是在后台进行的,和普通的一个链接下载文件不同). 点击按钮导出表格 由于FineUI 默认支持AJAX,而导出与下载其实是一种破坏AJAX的操作,因为一般的导出代码如下所示: 1 Response.ClearContent(); 2 Response.AddHeader(&quot;content-disposition&quot;, &quot;attachment; filename=下载的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3r9O6b0.html" rel="bookmark">WPF  MvvmLight简单实例&lpar;1&rpar; 页面导航</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:WPF MvvmLight简单实例(1) 页面导航 实现了那些功能,先看看截图: 操作描述: 在程序运行后,点击“Load”按钮,页面会加载PageOne,点击PageOne页面中的“Next”按钮即可进入PageTwo页面, 点击PageTwo页面中的“Next”即可进入PageThree页面,点击Back可返回Page1页面 第一步:新建工程并使用NuGet安装MvvmLight 第二步:添加Views文件夹并添加相应的ViewModel 本文主要描述如何使用MvvmLight实现简单			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/BMzJrdM.html" rel="bookmark">首次使用photoshop制作简单的静态网页页面</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				刚刚进入IT领域,我首先接触到的是PhotoShop软件.经过一周的学习,我对PS软件已经有了初步的认识.PS首先是一款修图软件,对于图片中不太美观的地方可以按照自己的想法做任意的修改,利用&quot;蒙版&quot;工具可以做图片间的融合,这给我们提供了巨大的创作空间:其次,它可以进行图片和动画的制作,静态网页页面和多张图片的联动动画都可以在这里完成. 周五我做了两个简单的静态网页页面:网上购物的注册界面和登录页面,也借此检测一下自己对PS软件的掌握程度.在制作过程中,我发现许多问题并从中总结到了一些经			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/386912M.html" rel="bookmark">SpringBoot整合LayUI和Thymeleaf制作简单登录页面</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前面已经学习过SpringBoot整合Thymeleaf,这次主要把上次提到的简单登录界面用博文形式写出来 记录一个小Demo的学习,如果没看过SpringBoot整合Thymeleaf可以看一下SpringBoot整合Thymeleaf(三) 先上页面效果图: Demo所涉及的知识点 1.SpringBoot请求映射 2.static和templates静态资源映射 只要简单了解这两个知识点,就可以做出简单的登录的页面 Demo所涉及的目录结构图 Demo所涉及的Pom文件的主要依赖 &lt;dep			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0byJnvM.html" rel="bookmark">SharePoint 如何制作自动跳转页面</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SharePoint 如何制作自动跳转页面 SharePoint制作自动跳转的页面非常简单,只要在页面上添加一个Web部件--内容编辑器,加入相应的js代码即可. 本文介绍如何制作自动跳转页面. 1. 新建ASPX页面,命名RedirectingPage. 2. 编辑页面,添加内容编辑器Web部件. 3. 编辑Web部件,选择编辑HTML源代码. 4. 输入js代码,点击确定,保存. 5. 在SharePoint站点首页编辑页面,输入&quot;[[&quot;选择RedirectingPage,再输入&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dolBBM.html" rel="bookmark">淘宝购物车页面 智能搜索框Ajax异步加载数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如果有朋友对本篇文章的一些知识点不了解的话,可以先阅读此篇文章.在这篇文章中,我大概介绍了一下构建淘宝购物车页面需要的基础知识. 这篇文章主要探讨的是智能搜索框Ajax异步加载数据.jQuery的社区非常的活跃,许多朋友都在不同地方分享了很多优秀的插件.我在相关的网站上找过想实现类似功能的插件,但是没有找到.于是乎,自己动手丰衣足食.自己来搭建智能搜索框下拉列表.当然,如果有类似功能并且常维护Bug的插件,望留言交流. 源码地址: 淘宝购物车页面--PC端和移动端项目实战 首先需要先给大家打一根			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/B0RwJj3.html" rel="bookmark">利用JSP编程技术实现一个简单的购物车程序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				实验二   JSP编程 一.实验目的1. 掌握JSP指令的使用方法:2. 掌握JSP动作的使用方法:3. 掌握JSP内置对象的使用方法:4. 掌握JavaBean的编程技术及使用方法:5. 掌握JSP中数据库编程方法: 二.实验要求 : 利用JSP编程技术实现一个简单的购物车程序,具体要求如下. (1)用JSP编写一个登录页面,登录信息中有用户名和密码,分别用两个按钮来提交和重置登录信息. (2)编写一个JSP程序来处理用户提交的登录信息,如果用户名为本小组成员的名字且密码为对应的学号时,采用J			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/pMPvoB3.html" rel="bookmark" class="title">各种幻方一览</a>
					<div>
						在一个由若干个排列整齐的数组成的正方形中,图中任意一横行.一纵行及对角线的几个数之和都相等,具有这种性质的图表,称为&quot;幻方&quot;.我国古代称为&quot;河图&quot;.&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/k0njax0.html" rel="bookmark" class="title">ZOJ 3466 The Hive II</a>
					<div>
						插头DP.. 求用若干个回路走遍整张图的方案数..然而格子是六边形的TAT 想了好久...按照列来转移好写一点..其实和正方形格子差不多? 膜了标程才知道,如果回路数没有限制的话..可以只记录有没有插 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXYpxz0.html" rel="bookmark" class="title">HDU 4464 Browsing History（最大ASCII的和）</a>
					<div>
						题目链接:http://acm.hdu.edu.cn/showproblem.php?pid=4464 Problem Description One day when you are going t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OmxzPM.html" rel="bookmark" class="title">usaco-2&period;4-maze1-pass</a>
					<div>
						这个算法比较清晰,呵呵: /* ID: qq104801 LANG: C++ TASK: maze1 */ #include &lt;iostream&gt; #include &lt;fstream ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6NodXM.html" rel="bookmark" class="title">python2&period;7学习记录之三</a>
					<div>
						1.连接数据库 MySQLdb的是一个接口连接到MySQL数据库服务器从Python.它实现了Python数据库API V2.0,并建上的MySQL C API的顶端. 下载地址:https://so ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rELqv0.html" rel="bookmark" class="title">OpenCV &amp;mdash&semi;&amp;mdash&semi; 矩阵操作</a>
					<div>
						多通道的矩阵 -- 通道是连续的!! 要将指向该数据类型的指针移动到下一通道,我们只需要将其增加1.如果想访问下一个&quot;像素&quot;或者元素集,则需要一定的偏移量 矩阵的step元素是矩阵 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qveJz4.html" rel="bookmark" class="title">一起写redis脚本</a>
					<div>
						一.redis脚本环境 要写redis的脚本,首先应该搭建好它的脚本环境.redis使用lua作为其脚本语言.所以搭建lua环境成了首要工作. 环境:centos7.0 redis:3.0.2 1.1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kZo6EM.html" rel="bookmark" class="title">光线投射算法与光线跟踪算法</a>
					<div>
						原文:http://blog.csdn.net/changbaolong/article/details/8461704 光线跟踪计算机算法的一般描述 为了生成在三维计算机图形环境中的可见图像,光线跟 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmAmopM.html" rel="bookmark" class="title">uva 10671 - Grid Speed&lpar;dp&rpar;</a>
					<div>
						题目链接:uva 10671 - Grid Speed 题目大意:给出N,表示在一个N*N的网格中,每段路长L,现在给出h,v的限制速度,以及起始位置sx,sy,终止位置ex,ey,时间范围st,et ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBak7Z4.html" rel="bookmark" class="title">swap自动配置作业</a>
					<div>
						自动创建swap,并激活挂载 开机自动挂载					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVzojwM.html" rel="bookmark" class="title">Java list对象列表排序 实例</a>
					<div>
						package com.test; public class Bean { private String name; private int priority; public String getNa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzL9Nk3.html" rel="bookmark" class="title">我和我的广告前端代码（二）：突发需求，广告法，加标识，打补丁</a>
					<div>
						概述: 在重构广告‘老代码’的初期发生了一个突发的需求,下面我简单介绍一下,可能文中更多的是思路和结构上的东西.具体的业务实现也会简单说一些,但说的不多. 仅用文章纪录一下,保存我于广告项目珍贵的记忆 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/471Jp60.html" rel="bookmark" class="title">ubuntu下安装opencv 2&period;4&period;9 脚本，支持摄像头和cuda</a>
					<div>
						1 arch=$(uname -m) 2 if [ &quot;$arch&quot; == &quot;i686&quot; -o &quot;$arch&quot; == &quot;i386&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QaW5L4.html" rel="bookmark" class="title">Python 网络编程（二）</a>
					<div>
						Python 网络编程 上一篇博客介绍了socket的基本概念以及实现了简单的TCP和UDP的客户端.服务器程序,本篇博客主要对socket编程进行更深入的讲解 一.简化版ssh实现 这是一个极其简单 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mobxlw4.html" rel="bookmark" class="title">OREACLE 数据库建表 添加判断表是否存在 不存在则新建</a>
					<div>
						declare  cnt number; begin   ---查询要创建的表是否存在   select count(*)into cnt from user_tables where table_n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyBJBe0.html" rel="bookmark" class="title">NSString过滤字符串stringByTrimmingCharactersInSet</a>
					<div>
						NSCharacterSet *set = [NSCharacterSet characterSetWithCharactersInString:@&quot;@/::()￥「」＂.[]{}#%-*+ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YQXPa0.html" rel="bookmark" class="title">UML建模图</a>
					<div>
						UML 2.0规范 迅速成为建立软件系统可视化.规范.文档的标准.统一建模语言(UML) 也被用于非软件系统的建模,并在很多领域,诸如金融,军事,工程方面应用广泛. UML 2 定义了13种基本的图, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyoDPp3.html" rel="bookmark" class="title">渠道防窜货软件开发平台</a>
					<div>
						渠道防窜货软件开发找巢杰;135-3388-6017(微信同号)您是否被窜货闹得不可开交,一到旺季大批量产品被窜货,企业要怎么样才能根治窜货这个顽疾?渠道窜货预警软件帮您根治窜货这个老问题,无需出门, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3q8W1p0.html" rel="bookmark" class="title">玩App怎么赚钱（二）</a>
					<div>
						紧接上篇文章,谈到App前赚钱的一些门道,其实还有很多了,需要你自己去挖掘App到底有什么价值.有价值的东西就能形成交易,而交易的过程中是用金钱作为流通手段,所以说赚钱没那么高大上,它的本质就是价值的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MowLnQM.html" rel="bookmark" class="title">zabbix远程命令&lpar;remote command&rpar;配置</a>
					<div>
						1.zabbix远程命令(remote command): 1.1 功能: 重启服务: 通过IPMI接口重启服务器: 任何自定义脚本可以完成的功能:清理磁盘空间,虚拟机实例迁移等等: 1.2 相关属性 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
